body, html {
    color: #000;
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
    overflow: hidden;
}

html {
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    -ms-overflow-style: scrollbar;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}

body {
    color: rgba(0,0,0,.65);
    font-size: 14px;
    font-family: -apple-system,BlinkMacSystemFont,Segoe UI,PingFang SC,Hiragino Sans GB,Microsoft YaHei,Helvetica Neue,Helvetica,Arial,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol;
    font-variant: tabular-nums;
    line-height: 1.5;
    background-color: #fff;
    font-feature-settings: "tnum","tnum";
}

h1, h2, h3, h4, h5, h6 {
	margin-top: 0;
	margin-bottom: .5em;
	color: rgba(0, 0, 0, .85);
	font-weight: 500;
}

label {
	line-height: 1.5;
	color: rgba(0, 0, 0, .85);
}

a {
	color: #1890ff;
	text-decoration: none;
	background-color: transparent;
	outline: none;
	cursor: pointer;
	transition: color .3s;
	-webkit-text-decoration-skip: objects;
}

a:active {
	color: #096dd9;
}

a:hover {
	color: #40a9ff;
}

.container {
    max-width: 500px;
    margin: 0px auto;
    padding-top: 50px;
}

.form-signin {
    margin: 20px;
    padding: 20px;
    border: 1px solid #ccc;
}

*, :after, :before {
	box-sizing: border-box;
}

.ant-input:focus, .ant-input:hover {
	border-color: #40a9ff;
	border-right-width: 1px !important;
}

.ant-input {
	box-sizing: border-box;
	margin: 0;
	font-variant: tabular-nums;
	list-style: none;
	font-feature-settings: "tnum", "tnum";
	position: relative;
	display: inline-block;
	width: 100%;
	height: 32px;
	padding: 4px 11px;
	border: 1px solid #d9d9d9;
	border-radius: 4px;
	transition: all .3s;
}

.ant-form-item-required:before {
    display: inline-block;
    margin-right: 4px;
    color: #f5222d;
    font-size: 14px;
    font-family: SimSun,sans-serif;
    line-height: 1;
    content: "*";
}

#btn-submit {
	color: #fff;
	background-color: #1890ff;
	border-color: #1890ff;
	text-shadow: 0 -1px 0 rgba(0, 0, 0, .12);
	box-shadow: 0 2px 0 rgba(0, 0, 0, .045);
	line-height: 1.499;
	position: relative;
	display: inline-block;
	font-weight: 400;
	white-space: nowrap;
	text-align: center;
	background-image: none;
	cursor: pointer;
	transition: all .3s cubic-bezier(.645, .045, .355, 1);
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	touch-action: manipulation;
	height: 32px;
	padding: 0 15px;
	font-size: 14px;
	border-radius: 4px;
	border-style: none;
}
#btn-submit:disabled,
#btn-submit.disabled {
	background-color: rgba(0, 0, 0, 0.5);
	cursor: not-allowed;
}

#failure-response {
	/*display:none;*/
	color: darkred;
	background-color: rgba(196, 0, 0, 0.1);
	border: 1px solid red;
	border-radius: 4px;
	padding: 3px 8px;
	margin-top: 1em;
}

div.alert {
	display: block;
	padding: 6px;
	margin-bottom: .5em;
	border: solid 1px #ffe69c;
	border-radius: .25em;
	/* line-height: 1.3em; */
	
	color: #664d03;
    background-color: #fff3cd;
}